[Unit]
Description=Planner podman container
Wants=network-online.target
After=network-online.target
After=planner.service
RequiresMountsFor=%t/containers
StartLimitIntervalSec=10
StartLimitBurst=5

[Service]
Environment=PODMAN_SYSTEMD_UNIT=%n
EnvironmentFile=/etc/planner.environment

Restart=always
TimeoutStartSec=3m
TimeoutStopSec=70
ExecStartPre=/bin/rm -f \
  %t/%n.ctr-id
ExecStart=/usr/bin/podman run \
  --cidfile=%t/%n.ctr-id \
  --cgroups=no-conmon \
  --rm \
  --sdnotify=conmon \
  --replace \
  --name planner-worker \
  -e PLANNER_* \
  -d \
  -v /run/postgresql:/run/postgresql \
  -v /run/clamav:/run/clamav \
  registry.gitlab.com/sea-watch.org/planner/planner:{{ image_tag | mandatory }} \
    django-admin procrastinate worker
ExecStop=/usr/bin/podman stop \
  --ignore -t 10 \
  --cidfile=%t/%n.ctr-id
ExecStopPost=/usr/bin/podman rm \
  -f \
  --ignore -t 10 \
  --cidfile=%t/%n.ctr-id
Type=notify
NotifyAccess=all

[Install]
WantedBy=default.target

# vim: ft=systemd
